# Lists activities on project template

Paginated list of activities for a template. Ordered from the most recent one to the oldest one.

Endpoint: GET /v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}/activities
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `templateName` (string, required)
    The unique name of the template.

  - `languageCode` (string, required)
    The language code of the specific template.
    Enum: "AF", "AR", "AZ", "BG", "BN", "CA", "CS", "DA", "DE", "EL", "EN", "EN_GB", "EN_US", "ES", "ES_AR", "ES_ES", "ES_MX", "ES_UY", "ET", "FA", "FI", "FIL", "FR", "GA", "GU", "HA", "HE", "HI", "HR", "HU", "ID", "IT", "JA", "KA", "KK", "KN", "KO", "KY_KG", "LO", "LT", "LV", "MK", "ML", "MR", "MS", "NB", "NL", "PA", "PL", "PT_BR", "PT_PT", "RO", "RU", "RW_RW", "SK", "SL", "SQ", "SR", "SV", "SW", "TA", "TE", "TH", "TR", "UK", "UR", "UZ", "VI", "ZH_CN", "ZH_HK", "ZH_TW", "ZU", "UNRECOGNIZED"

## Query parameters:

  - `pageToken` (string)
    The page token if retrieving the next page from a previous query.

  - `pageSize` (number)
    The page size requested.

## Response 200 fields (application/json):

  - `totalSize` (number, required)
    Total size of the entries matching the search query.

  - `pageSize` (number, required)
    Requested size of the page.

  - `notifications` (array, required)

  - `notifications.type` (string, required)
    Enum: "COMMENT_ADDED", "CREATED", "DRAFT", "EDITED", "IN_PROGRESS", "REJECTED"

  - `notifications.created` (string)

  - `notifications.author` (string)

  - `notifications.comment` (string)

  - `previousPageToken` (string)
    Encoded token to use in list request to fetch previous batch of entries.

  - `nextPageToken` (string)
    Encoded token to use in list request to fetch next batch of entries.

## Response 400 fields (application/json):

  - `body` (ProjectNotInitializedErrorTitle (object) or TemplateInvalidLanguageCodeErrorTitle (object) or InvalidPageTokenErrorTitle (object) or InvalidPageSizeErrorTitle (object)) — one of:
    - ProjectNotInitializedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_initialized"
      - `message` (string)
        Human readable message.
        Example: "Project not initialized for WhatsApp."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the project ID is correct and that it has been onboarded for WhatsApp."
    - TemplateInvalidLanguageCodeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "template_invalid_language_code"
      - `message` (string)
        Human readable message.
        Example: "Invalid language code."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the language code used is supported by the Provisioning API and WhatsApp."
      - `additionalInformation` (object)
        Additional information for error.
        Example: {"supportedCodes":"AF, AR, AZ, BG, BN, CA, CS, DA, DE, EL, EN, EN_GB, EN_US, ES, ES_AR, ES_ES, ES_MX, ES_UY, ET, FA, FI, FIL, FR, GA, GU, HA, HE, HI, HR, HU, ID, IT, JA, KA, KK, KN, KO, KY_KG, LO, LT, LV, MK, ML, MR, MS, NB, NL, PA, PL, PT_BR, PT_PT, RO, RU, RW_RW, SK, SL, SQ, SR, SV, SW, TA, TE, TH, TR, UK, UR, UZ, VI, ZH_CN, ZH_HK, ZH_TW, ZU"}
    - InvalidPageTokenErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_page_token"
      - `message` (string)
        Human readable message.
        Example: "Invalid page token."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "The page token to use is provided in the previous query response, for new queries simply leave this field undefined."
    - InvalidPageSizeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_page_size"
      - `message` (string)
        Human readable message.
        Example: "Page size must be numeric."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Use a integer value for pageSize parameter."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "template_not_found"

  - `message` (string)
    Human readable message.
    Example: "Template not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the parameters are correct."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


